package org.gatein.examples;

import java.io.IOException;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.EventRequest;
import javax.portlet.EventResponse;
import javax.portlet.GenericPortlet;
import javax.portlet.PortletException;
import javax.portlet.PortletRequestDispatcher;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

/**
 * portlet2 Portlet Class
 */
public class Portlet2 extends GenericPortlet {

	public void processEvent(EventRequest req, EventResponse resp) {
		// reading value from event
		String typedText = (String)req.getEvent().getValue();
		// set value to renderParameter
		resp.setRenderParameter("typedText", typedText);
		System.out.println("process event called, value from event is " + typedText);
	}
	
	public void processAction(ActionRequest request, ActionResponse response)
			throws PortletException, IOException {
	}

	public void doView(RenderRequest request, RenderResponse response)
			throws PortletException, IOException {
		response.setContentType("text/html");
		String typedText = request.getParameter("typedText");
		System.out.println("do view called, parameter from renderRequest is " + typedText);
		PortletRequestDispatcher dispatcher = getPortletContext()
				.getRequestDispatcher("/WEB-INF/jsp/portlet2_view.jsp");
		dispatcher.include(request, response);
	}
}
